/*
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the LICENSE which you should have obtaind with this package. 
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 */

package talon;

import java.io.*;
import java.net.*;
import java.util.*;

import talon.*;
import talon.components.*;
import talon.interfaces.*;
import talon.util.net.*;

/**
 * @see Assertable
 * @author <a href="mailto:burton@relativity.yi.org">Kevin A. Burton</a>
 * @version $Id: Assert.java,v 1.1 2001/06/19 10:34:06 burton Exp $
 */
public class Assert {

    /**
     * @see Assertable
     * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
     * @version $Id: Assert.java,v 1.1 2001/06/19 10:34:06 burton Exp $
     */
    public static void assert( boolean expression, String message ) throws RuntimeException {

        assert( expression, message, true );
        
    }

    /**
     * @see Assertable
     * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
     * @version $Id: Assert.java,v 1.1 2001/06/19 10:34:06 burton Exp $
     */
    public static void assert( Object object ) throws RuntimeException {

        assert( object, "Passed null object." );

    }

    /**
     * @see Assertable
     * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
     * @version $Id: Assert.java,v 1.1 2001/06/19 10:34:06 burton Exp $
     */
    public static void assert( Object object, String message ) throws RuntimeException {

        assert( object != null, message );

    }
    
    /**
     * @see Assertable
     * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
     * @version $Id: Assert.java,v 1.1 2001/06/19 10:34:06 burton Exp $
     */
    public static void assert( boolean expression, String message, boolean exception ) {

        if ( expression == false && exception == true ) {

            throw new RuntimeException( message );
            
        } 
        
    }
    
}
