/*
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the LICENSE which you should have obtaind with this package. 
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 */

package talon.tests;

import java.io.*;
import java.net.*;
import java.util.*;
import org.arrowhead.testlet.*;
import talon.*;
import talon.implementations.*;
import talon.components.*;
import talon.util.net.*;


/**
 * Perform operations on
 * "talon:///component-name/product/default/name/test_component" to verify it is
 * setup correctly.
 *
 * @author <a href="mailto:burton@relativity.yi.org">Kevin A. Burton</a>
 * @version $Id: Test7.java,v 1.5 2001/04/25 02:14:51 burton Exp $
 */
public class Test7 extends AbstractTestlet {

    public static final String[] REQUIRED_PROPERTIES = { "foo" };
    
    public void initialize( TestletContext context ) throws Exception {

        ComponentHandle handle = HandleManager.byName( "talon:///component-name/product/default/name/test_component" );

        handle.getInitProperties().dump();

        /**
         * 
         *
         * @author <a href="mailto:burton@relativity.yi.org">Kevin A. Burton</a>
         * @version $Id: Test7.java,v 1.5 2001/04/25 02:14:51 burton Exp $
         */
        System.out.println( "foo==" + handle.getInitProperties().getString( "foo" ) );

        handle.getInitProperties().require( REQUIRED_PROPERTIES );

    }

}
