/*
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the LICENSE which you should have obtaind with this package. 
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 */

package talon.util;

import java.io.*;
import java.net.*;
import java.util.*;

import talon.*;
import talon.components.*;
import talon.interfaces.*;
import talon.implementations.*;
import talon.util.net.*;
import talon.resources.*;

/**
 * Contains resources necesary for reptile operation
 *
 * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
 * @version $Id: TalonResources.java,v 1.3 2001/06/13 07:07:52 burton Exp $
 */
public class TalonResources {

    public static final String TALON_PROPERTIES_KEY = "talon.properties";
    
    //class variables
    private static TalonResources instance = null;


    private ResourceMapper rm = new DirectoryResourceMapper();

    //This can be null because the Talon Initializer will set this on startup.
    private TalonPropertyManager tpm = null;
    
    public static TalonResources getInstance() {

        if ( instance == null ) {

            instance = new TalonResources();

        } 

        return instance;
    }

    public ResourceMapper getResourceMapper() {

        return this.rm;

    }

    public void setResourceMapper( ResourceMapper rm ) {

        this.rm = rm;

    }

    /**
     * Get the TalonPropertyManager for this instance of Talon.
     *
     * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
     * @version $Id: TalonResources.java,v 1.3 2001/06/13 07:07:52 burton Exp $
     */
    public TalonPropertyManager getTalonPropertyManager() {

        return this.tpm;

    }
    
    public void setTalonPropertyManager( TalonPropertyManager tpm ) { 

        this.tpm = tpm;

    }
    
}
