/*
 * Copyright 2001 OpenPrivacy.org.  All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the LICENSE which you should have obtaind with this package. 
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 */

package talon.util;

import java.io.*;
import java.net.*;
import java.util.*;

import talon.*;
import talon.components.*;
import talon.interfaces.*;
import talon.implementations.*;
import talon.util.net.*;
import talon.resources.*;

/**
 * Handles encodign XML for so that it can be stored within XML.  The encodings
 * are:
 *
 * <ul>
 * 
 *     <li> &lt; -> &amplt;
 *
 * </ul>
 * @author <a href="mailto:burton@relativity.yi.org">burtonator</a>
 * @version $Id: XMLEncoder.java,v 1.2 2001/07/23 22:45:28 burton Exp $
 */
public class XMLEncoder {

    public static final String encode( String string ) {

        string = StringUtils.replaceAll( string, "<", "&lt;" );

        string = StringUtils.replaceAll( string, ">", "&gt;" );

        string = StringUtils.replaceAll( string, "&", "&amp;" );
        
        return string;
        
    }
    

}
